package ke.pe.theeye.simplecrypto;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity implements OnClickListener
{
	private static final String CRYPTO_MODE_CRYPT = "ȣȭ";
	private static final String CRYPTO_MODE_DECRYPT = "ȣȭ";
	private static final String CRYPTO_SEED_PASSWORD = "1234!@#$";
	
	private EditText mTargetMsg;
	private Button mButton;
	
	private boolean mCryptoMode;
	
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mTargetMsg = (EditText) findViewById(R.id.editText);
        mButton = (Button) findViewById(R.id.button);
        
        mCryptoMode = false;
        mButton.setText(CRYPTO_MODE_CRYPT);
        mButton.setOnClickListener(this);
    }

	@Override
	public void onClick(View view)
	{
		switch(view.getId())
		{
		case R.id.button:
			// ȣȭ
			if(mCryptoMode)
			{
				try
				{
					String encrypted = SimpleCrypto.decrypt(CRYPTO_SEED_PASSWORD, mTargetMsg.getText().toString());
					mTargetMsg.setText(encrypted);
					mCryptoMode = false;
					mButton.setText(CRYPTO_MODE_CRYPT);
				}
				catch(Exception e)
				{
				}
			}
			// ȣȭ
			else
			{
				try
				{
					String encrypted = SimpleCrypto.encrypt(CRYPTO_SEED_PASSWORD, mTargetMsg.getText().toString());
					mTargetMsg.setText(encrypted);
					mCryptoMode = true;
					mButton.setText(CRYPTO_MODE_DECRYPT);
				}
				catch(Exception e)
				{
				}
			}
			
			break;
		}
	}
}